<script>
  
  {*-- ここからjsでのデータ表示用 ---------------------------------------------------*}
  
  {*倉庫変更時に呼ぶ*}
  function getTtday() {
    var $me = $(this);
    var frmh = $("form.header");
    var sendData = {};
    sendData["ktktcd"]  = common.getValue(frmh.find(".ktktcd"));
    
    common.postData(
        "./getTTDAY.php"
      , sendData
      , function (data) {
        // 特殊処理があれば
        var obj = JSON.parse(data);
        let ret = obj.ret;
        if(ret == '0') {
          common.setValue(frmh.find(".tday99"),obj.tday99);
          common.setValue(frmh.find(".tday05"),obj.tday05);
        } else {
          common.postData(
            "./getSYSDAY.php"
            , sendData
            , function (data) {
              // 特殊処理があれば
              var obj = JSON.parse(data);
              let ret = obj.ret;
              if(ret == '0') {
                common.setValue(frmh.find(".tday99"),obj.tday99);
                common.setValue(frmh.find(".tday05"),obj.tday05);
              } else {
              }
            }
              , function (error) {
              alert(error.msg);
            }
          );
        }
      }
      , function (error) {
        alert(error.msg);
      }
    );
  }
  
  function do_AF864S() {
    let errflg = false;
    var frmh = $("#headerTop");
    common.clearFormError(frmh);
    var w_ktktcd = common.getValue(frmh.find(".ktktcd"));
    var w_tday99 = common.getValue(frmh.find(".tday99"));
    var w_tday05 = common.getValue(frmh.find(".tday05"));

    {*入力チェック*}
    if(stringUtil.isEmpty(frmh.find(".ktktcd").val())) {
      errflg = true;
      common.addError(frmh.find(".ktktcd"),"入力して下さい" , null, true);
    }

    if (errflg) {
      alert('エラーがあります');
    } else {
    
      if(window.confirm("【棚卸前処理】を行います。よろしいですか？")) {
      var container = $(".container");
      sendData = {};
      sendData = common.getContainerInputData(container);
      common.postData(
        "./update.php"
        , sendData
        , function name(data) {
          if (data.status == "OK") {
            let ret = parseInt(data.ret, 10)
            if (ret < 0) {
              if (ret == -8) { 
                alert("他の端末で実行中です"); 
              } else {
                alert("その他のエラーが発生しました"); 
              }
            } else {
              alert("棚卸前処理を実行しました"); 
            }
            console.log("reload");
            location.reload(); 
          }
        });
      }
    }
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2 表示
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4 廃止/取消
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
       do_AF864S();
    });
    //　F10 Excel
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    $("#headerTop").find(".keycd").focus();

    //MENUボタン===============================
    
    //=== header ===
    $(document).on("focus", "#headerTop .dummy", function(e) {
      $("#topmenu").find(".Func9").focus();
    });

    $(document).on("change", ".ktktcd", function(e) {
      getTtday();
      console.log("1");
    });

    $(document).on("afterSelectAfm05x", ".cucd", function(e){ //検索画面から戻る
      $(".header").find(".ktktcd").focus();
    });


    //=== body ===
    $(document).on("focus", "#detailTop .dummy", function(e) {
      $("#topmenu").find(".Func8").focus();
    });


    //=== footer ===

  });

</script>
